#
# spec file for package python-recommonmark
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define oldpython python
Name:           python-recommonmark
Version:        0.5.0
Release:        bp153.1.15
Summary:        Python docutils-compatibility bridge to CommonMark
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/rtfd/recommonmark
Source0:        https://files.pythonhosted.org/packages/source/r/recommonmark/recommonmark-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/rtfd/recommonmark/master/license.md
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION tests
#BuildRequires:  %%{python_module CommonMark >= 0.7.3}
#BuildRequires:  %%{python_module Sphinx >= 1.3.1}
#BuildRequires:  %%{python_module docutils >= 0.11}
# /SECTION tests
Requires:       python-CommonMark >= 0.7.3
Requires:       python-Sphinx >= 1.3.1
Requires:       python-docutils >= 0.11
Requires(post): update-alternatives
Requires(preun): update-alternatives
Provides:       python-reCommonMark = %{version}
Obsoletes:      python-reCommonMark < %{version}
BuildArch:      noarch
%ifpython2
Obsoletes:      %{oldpython}-reCommonMark < %{version}
Provides:       %{oldpython}-reCommonMark = %{version}
%endif
%python_subpackages

%description
A python docutils-compatibility bridge to CommonMark.

This allows you to write CommonMark inside of Docutils & Sphinx projects.

Documentation is available on Read the Docs:
http://recommonmark.readthedocs.org

%prep
%setup -q -n recommonmark-%{version}
# Remove upstream's egg-info
rm -rf %{pypi_name}.egg-info
#Add missing license and readme
cp -a %{SOURCE1} .
# find and remove unneeded shebangs
find recommonmark -name "*.py" | xargs sed -i '1 {/^#!/ d}'
sed -i 's/from commonmark import Parser/from CommonMark import Parser/' recommonmark/parser.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%python_clone -a %{buildroot}%{_bindir}/cm2html
%python_clone -a %{buildroot}%{_bindir}/cm2latex
%python_clone -a %{buildroot}%{_bindir}/cm2man
%python_clone -a %{buildroot}%{_bindir}/cm2pseudoxml
%python_clone -a %{buildroot}%{_bindir}/cm2xetex
%python_clone -a %{buildroot}%{_bindir}/cm2xml

# The tests in the tarball are missing all testdata, fixed in the next version: https://github.com/rtfd/recommonmark/commit/8e02e8309a011a7592d6b88c9a9560667964ffab
#%%check
#%%python_exec setup.py test

%post
%{python_install_alternative cm2man cm2latex cm2xetex cm2pseudoxml cm2html cm2xml}

%preun
%python_uninstall_alternative cm2man

%files %{python_files}
%license license.md
%python_alternative %{_bindir}/cm2html
%python_alternative %{_bindir}/cm2latex
%python_alternative %{_bindir}/cm2man
%python_alternative %{_bindir}/cm2pseudoxml
%python_alternative %{_bindir}/cm2xetex
%python_alternative %{_bindir}/cm2xml
%{python_sitelib}/recommonmark/
%{python_sitelib}/recommonmark-%{version}-py*.egg-info
%doc README.md

%changelog
* Tue Jan 15 2019 Sebastian Wagner <sebix+novell.com@sebix.at>
- Update to version 0.5.0:
  * No upstream changelog available.
- remove unneeded fix-commonmark-compatibility.patch
* Fri Dec  7 2018 Tomáš Chvátal <tchvatal@suse.com>
- Fix the fdupes call
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Jul 20 2017 sebix+novell.com@sebix.at
- add fix-commonmark-compatibility.patch to fix imported names
* Sat May  6 2017 toddrme2178@gmail.com
- Fix Provides/Obsoletes.
* Thu Apr  6 2017 toddrme2178@gmail.com
- Remove README since the upstream link changes unpredictably and
  there is no consistent way to pick a particular version.
* Mon Apr  3 2017 toddrme2178@gmail.com
- Initial python singlepsec version.
* Thu May 19 2016 toddrme2178@gmail.com
- Update to version 0.4.0
  * No upstream changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Thu Dec 10 2015 bruno@ioda-net.ch
- Initial packaging on obs
